Bug 508412 - Dependency fails for nss-softokn-freebl
Dependency fails for nss-softokn-freebl
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 18:31 EDT by jeff drew
Modified: 2009-08-20 09:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 09:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jeff drew 2009-06-26 18:31:02 EDT
Description of problem: output from yum install wine - 
Processing Conflict: nss-softokn-freebl-3.12.3-4.fc11.x86_64 conflicts nss < 3.12.2.99.3-5
--> Processing Conflict: nss-softokn-freebl-3.12.3-4.fc11.i586 conflicts nss < 3.12.2.99.3-5
--> Finished Dependency Resolution
nss-softokn-freebl-3.12.3-4.fc11.x86_64 from installed has depsolving problems
  --> nss-softokn-freebl conflicts with nss
nss-softokn-freebl-3.12.3-4.fc11.i586 from fedora has depsolving problems
  --> nss-softokn-freebl conflicts with nss
Error: nss-softokn-freebl conflicts with nss


Version-Release number of selected component (if applicable):
just upgraded to 11

How reproducible:
every time using yum or software updates gui

Steps to Reproduce:
1.yum install wine
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kai Engert (:kaie) 2009-08-03 12:29:18 EDT
you are on a 64 bit system 

you have nss installed as both i386 and x86_64 versions

please attempt this:

yum update nss.i386 nss.x86_64 nss-softokn-freebl.i386 nss-softokn-freebl.x86_64
(or maybe simply nss)

Make sure that nss for both 32 and 64 bit are installed at latest package versions.

then you should succeed with your install wine command.
Comment 2 Kai Engert (:kaie) 2009-08-06 23:35:40 EDT
Jeff, please try the instructions given
or alternative please try "yum update" before you attempt to install new packages.

If this fails, please provide the output of

rpm -qa nss\*
Comment 3 Kai Engert (:kaie) 2009-08-06 23:37:52 EDT
This should have been fixed already by bug 499436, and yum should be smart enough to pull in the right nss packages to avoid the conflict.

If you have upgraded your system to Fedora 11, I would have expected that you already have version 3.12.3-4 for all your nss and nss-softokn-freebl packages, with no conflicts.
Comment 4 jeff drew 2009-08-07 16:55:01 EDT
I have subsequently been able to install wine.  It appears a patch has fixed the issue; i did not have to update nss.  this can close.
Comment 5 Kai Engert (:kaie) 2009-08-20 09:19:58 EDT
resolving per reporters comment

Note You need to log in before you can comment on or make changes to this bug.